Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064969 - [abrt] picard: script.py:120:__raise_eof:EndOfFile: Unexpected end of script at position 142, line 1
Summary: [abrt] picard: script.py:120:__raise_eof:EndOfFile: Unexpected end of script ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: picard
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8c2661ac6f5f90987d7efc29f81...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 16:08 UTC by bpk678
Modified: 2015-06-29 15:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:11:30 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-13 16:08 UTC, bpk678
no flags Details
File: environ (deleted)
2014-02-13 16:08 UTC, bpk678
no flags Details

Description bpk678 2014-02-13 16:08:20 UTC
Version-Release number of selected component:
picard-1.2-2.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /usr/bin/picard
executable:     /usr/bin/picard
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
script.py:120:__raise_eof:EndOfFile: Unexpected end of script at position 142, line 1

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/picard/ui/options/renaming.py", line 81, in check_formats
    self.update_examples()
  File "/usr/lib64/python2.7/site-packages/picard/ui/options/renaming.py", line 109, in update_examples
    example1 = self._example_to_filename(self.example_1())
  File "/usr/lib64/python2.7/site-packages/picard/ui/options/renaming.py", line 98, in _example_to_filename
    filename = file._make_filename(file.filename, file.metadata, settings)
  File "/usr/lib64/python2.7/site-packages/picard/file.py", line 277, in _make_filename
    new_filename = self._script_to_filename(format, metadata, settings)
  File "/usr/lib64/python2.7/site-packages/picard/file.py", line 251, in _script_to_filename
    filename = ScriptParser().eval(format, metadata, self)
  File "/usr/lib64/python2.7/site-packages/picard/script.py", line 251, in eval
    ScriptParser._cache[key] = self.parse(script, True)
  File "/usr/lib64/python2.7/site-packages/picard/script.py", line 242, in parse
    return self.parse_expression(True)[0]
  File "/usr/lib64/python2.7/site-packages/picard/script.py", line 222, in parse_expression
    tokens.append(self.parse_variable())
  File "/usr/lib64/python2.7/site-packages/picard/script.py", line 179, in parse_variable
    self.__raise_eof()
  File "/usr/lib64/python2.7/site-packages/picard/script.py", line 120, in __raise_eof
    raise EndOfFile("Unexpected end of script at position %d, line %d" % (self._x, self._y))
EndOfFile: Unexpected end of script at position 142, line 1

Local variables in innermost frame:
self: <picard.script.ScriptParser object at 0x2da1410>

Comment 1 bpk678 2014-02-13 16:08:25 UTC
Created attachment 862869 [details]
File: backtrace

Comment 2 bpk678 2014-02-13 16:08:28 UTC
Created attachment 862870 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 10:54:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 15:11:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.